image:
  tag: 7.5.0-alpine

ingress:
  enabled: true
  host: "varnish.vehicle-positions.k8s-local"
  ingressClass: "nginx-local"
  annotations:
    nginx.ingress.kubernetes.io/default-backend: output-gateway-v2-vp

resources:
  limits:
    cpu: 250m
    memory: 300Mi
  requests:
    cpu: 20m
    memory: 110Mi

varnishSize: 150M

#arguments:
#  DAEMON_OPTS: "-phttp_gzip_support=off"

vcl:
  default.vcl: |-
    vcl 4.1;
    import std;
     
    backend default {
        .host = "output-gateway-v2-vp.vehicle-positions.svc.cluster.local";
        .port = "3000";
    }
    
    sub vcl_recv {
        # preprocessing https://www.varnish-software.com/developers/tutorials/example-vcl-template/#5-sorting-query-string-parameters
        set req.url = std.querysort(req.url);
        set req.url = regsub(req.url, "\?$", "");

        # Header Accept-Encoding is unset by default behaviour https://varnish-cache.org/docs/trunk/users-guide/compression.html#default-behaviour
        # It preserves origin value.
        set req.http.Origin-Accept-Encoding = req.http.Accept-Encoding;   
    }
    
    sub vcl_deliver {
        # Add Accept-Encoding: gzip if it is not already present
        if (req.http.Origin-Accept-Encoding != "identity" && req.url ~ "^/v2/(public|vehiclepositions).*" ) {
            set req.http.Accept-Encoding = "gzip";
        }
    }

#   sub vcl_backend_response {
#       set beresp.ttl = 5s;
#   }
